'use strict';

/*
    Standard options:

    required: false

*/

import { createObjectPrototype } from 'component-registry';

import { IBaseField } from '../interfaces';
import { i18n } from '../utils';

export default createObjectPrototype({
    implements: [IBaseField],

    constructor: function constructor(options) {
        if (options) {
            this._isRequired = options.required;
            delete options.required;
        }
    },

    validateAsync: function validateAsync(inp, options, context) {
        var tmp = this.validate(inp, options, context, true);
        if (tmp && tmp.then) {
            return tmp;
        } else {
            return Promise.resolve(tmp);
        }
    },

    validate: function validate(inp, options, context, async) {
        context = context || inp;
        if (this._isRequired && (typeof inp === "undefined" || inp === null || inp === '')) {
            return {
                type: 'required',
                i18nLabel: i18n('isomorphic-schema--field_required', 'Required'),
                message: "Obligatoriskt"
            };
        }
    },

    toFormattedString: function toFormattedString(inp) {
        return inp;
    },

    fromString: function fromString(inp) {
        return inp;
    }

});
//# sourceMappingURL=BaseField.js.map