'use strict';

/*
    Bool field
*/

import { createObjectPrototype } from 'component-registry';

import { IBoolField } from '../interfaces';

export default createObjectPrototype({
    implements: [IBoolField],

    constructor: function constructor(options) {},

    validateAsync: function validateAsync(inp, options, context) {
        return this.validate(inp, options, context, true);
    },

    validate: function validate(inp) {
        // False and undefined == false so this is always ok
        return undefined;
    },

    toFormattedString: function toFormattedString(inp) {
        return inp;
    },

    fromString: function fromString(inp) {
        if (inp == "true" || inp === true) {
            return true;
        } else if (inp == "false" || inp === false) {
            return false;
        } else if (inp === "undefined" || inp === undefined) {
            return undefined;
        } else if (inp === 'null' || inp === null) {
            return null;
        } else {
            return inp;
        }
    }
});
//# sourceMappingURL=BoolField.js.map