'use strict';

import { createInterfaceClass } from 'component-registry';
var Interface = createInterfaceClass('isomorphic-schema');

function addMethods(base) {
    base.prototype.validate = function () {};
    base.prototype.fromString = function () {};
    base.prototype.toFormattedString = function () {};
}

var IBaseField = new Interface({
    name: 'IBaseField'
});
addMethods(IBaseField);

var ITextField = new Interface({
    name: 'ITextField'
});
addMethods(ITextField);

var ITextAreaField = new Interface({
    name: 'ITextAreaField'
});
addMethods(ITextAreaField);

var IIntegerField = new Interface({
    name: 'IIntegerField'
});
addMethods(IIntegerField);

var IDecimalField = new Interface({
    name: 'IDecimalField'
});
addMethods(IDecimalField);

var IBoolField = new Interface({
    name: 'IBoolField'
});
addMethods(IBoolField);

var ICreditCardField = new Interface({
    name: 'ICreditCardField'
});
addMethods(ICreditCardField);

var IDateField = new Interface({
    name: 'IDateField'
});
addMethods(IDateField);

var IDateTimeField = new Interface({
    name: 'IDateTimeField'
});
addMethods(IDateTimeField);

var IEmailField = new Interface({
    name: 'IEmailField'
});
addMethods(IEmailField);

var ITelephoneField = new Interface({
    name: 'ITelephoneField'
});
addMethods(ITelephoneField);

var IListField = new Interface({
    name: 'IListField'
});
addMethods(IListField);

var IObjectField = new Interface({
    name: 'IObjectField'
});
addMethods(IObjectField);

var IObjectRelationField = new Interface({
    name: 'IObjectRelationField'
});
addMethods(IObjectRelationField);

var IOrgNrField = new Interface({
    name: 'IOrgNrField'
});
addMethods(IOrgNrField);

var IPasswordField = new Interface({
    name: 'IPasswordField'
});
addMethods(IPasswordField);

var ISelectField = new Interface({
    name: 'ISelectField'
});
addMethods(ISelectField);

var IDynamicSelectBaseField = new Interface({
    name: 'IDynamicSelectBaseField'
});
addMethods(IDynamicSelectBaseField);

var IDynamicSelectAsyncBaseField = new Interface({
    name: 'IDynamicSelectAsyncBaseField'
});
addMethods(IDynamicSelectAsyncBaseField);

var IMultiSelectField = new Interface({
    name: 'IMultiSelectField'
});
addMethods(IMultiSelectField);

var IDynamicMultiSelectField = new Interface({
    name: 'IDynamicMultiSelectField'
});
addMethods(IDynamicMultiSelectField);

/* Richtext HTML field */
var IHTMLAreaField = new Interface({
    name: 'IHTMLAreaField'
});
addMethods(IHTMLAreaField);

var IAnyOf = new Interface({
    name: 'IAnyOf'
});
addMethods(IAnyOf);

export { IBaseField, ITextField, ITextAreaField, IIntegerField, IDecimalField, IBoolField, ICreditCardField, IDateField, IDateTimeField, IEmailField, ITelephoneField, IListField, IObjectField, IObjectRelationField, IOrgNrField, IPasswordField, ISelectField, IDynamicSelectBaseField, IDynamicSelectAsyncBaseField, IMultiSelectField, IDynamicMultiSelectField, IHTMLAreaField, IAnyOf };
//# sourceMappingURL=interfaces.js.map